function gp=gp_qua8(e,n)
%  J.C. Passieux (2010)

if nargin==1 n=2; end

[vx,vp]=gaussleg(n);

for i=1:n
    for j=1:n
        for k=1:n
            c=n*n*(k-1)+n*(i-1)+j;
            pg(c).pos=[vx(k) vx(j) vx(i)];
            pg(c).pd=vp(k)*vp(i)*vp(j);
        end
    end
end

% plot3([-1 1],[-1 -1],[-1 -1]);
% hold on
% plot3([1 1],[-1 1],[-1 -1]);
% plot3([1 -1],[1 1],[-1 -1]);
% plot3([-1 -1],[1 -1],[-1 -1]);
% plot3([-1 1],[-1 -1],[1 1]);
% plot3([1 1],[-1 1],[1 1]);
% plot3([1 -1],[1 1],[1 1]);
% plot3([-1 -1],[1 -1],[1 1]);
% 
% plot3([-1 -1],[-1 -1],[1 -1]);
% plot3([-1 -1],[1 1],[1 -1]);
% plot3([1 1],[-1 -1],[1 -1]);
% plot3([-1 -1],[-1 -1],[1 -1]);
% 
% 
% for i=1:(n*n*n)
%     plot3(pg(i).pos(1), pg(i).pos(2) ,pg(i).pos(3), '+' );
%     text(pg(i).pos(1), pg(i).pos(2) ,pg(i).pos(3),num2str(i));
% end
% axis([-1 1 -1 1 -1 1]);
% axis equal
% keyboard


for i = 1:(n*n*n)
   xi  = pg(i).pos(1);
   eta = pg(i).pos(2);
   zeta = pg(i).pos(3);
   pg(i).N = e.N(xi,eta,zeta);
   pg(i).dN_xi = e.dN_xi(xi,eta,zeta);
   pg(i).dN_eta = e.dN_eta(xi,eta,zeta);
   pg(i).dN_zeta = e.dN_zeta(xi,eta,zeta);
end

gp=pg;
