function m=integration(m)
%  J.C. Passieux (2010)
tic

mqua4=1;
mtri3=1;
mtet4=1;
mqua8=1;
for i=1:numel(m.elem)
    if strcmp(m.elem(i).typel,'qua4')
        if mqua4
            qua4_pg=gp_qua4(m.elem(i));
            mqua4=0;
        end
        m.elem(i).pg=qua4_pg;
    elseif strcmp(m.elem(i).typel,'tri3')
        if mtri3
            tri3_pg=gp_tri3(m.elem(i));
            mtri3=0;
        end
        m.elem(i).pg=tri3_pg;
    elseif strcmp(m.elem(i).typel,'tet4')
        if mtet4
            tet4_pg=gp_tet4(m.elem(i));
            mtet4=0;
        end
        m.elem(i).pg=tet4_pg;
    elseif strcmp(m.elem(i).typel,'qua8')
        if mqua8
            qua8_pg=gp_qua8(m.elem(i));
            mqua8=0;
        end
        m.elem(i).pg=qua8_pg;
        
    end
end

disp(['esb3d: Integration... ' num2str(toc,2) ' s']);

