function [eps,sig]=calc_stress(e)
%  J.C. Passieux (2010)

global DATA
hooke_matrix=DATA.hooke;

eps=0;
for i = 1:size(e.pg,2)
	B=compute_gradient(e.pg(i),e,DATA.dim);
	eps = eps+ B * e.u;
end
eps=eps/size(e.pg,2);
sig=hooke_matrix*eps;
