function r=is_in_box(p,b,e)
%  J.C. Passieux (2010)

% reordering
for i=1:size(b,1)
    if(b(i,2)<b(i,1))
        tmp=b(i,1);
        b(i,1)=b(i,2);
        b(i,2)=tmp;
    end
end

% tolerence
if nargin < 3
  	if (norm(b(:,1)-b(:,2))==0)
		e = 1e-8*norm(max(abs(b(:))));
  	else
  		e = 1e-6*norm(b(:,1)-b(:,2));
	end
end

% test
r=0;
if min((b(:,1)-e)<p') && min(p'<(b(:,2)+e))
    r=1;
end

