function kel=kelem(e)
%  J.C. Passieux (2010)

global DATA
hooke_matrix=DATA.hooke;

ndof=size(e.rep,2);
kel = zeros(ndof,ndof);

for i = 1:size(e.pg,2)
	[B det_jac]=compute_gradient(e.pg(i),e,DATA.dim);
	kel = kel + (B' * hooke_matrix * B * abs(det_jac) * e.pg(i).pd);
end

