function m=stiffness(m)
%  J.C. Passieux (2010)
tic

% ELEMENTARY STIFFNESS MATRICES
ne=size(m.elem,2);
for i=1:ne
	m.elem(i).k=kelem(m.elem(i));
end

% GLOBAL STIFFNESS MATRIX
m.k=sparse([],[],[],m.ndof,m.ndof);

for i=1:ne
	m.k(m.elem(i).rep,m.elem(i).rep)=m.k(m.elem(i).rep,m.elem(i).rep)+m.elem(i).k;
end

disp(['esb3d: Assembling stiffness operator... ' num2str(toc,2) ' s']);
