function []=pvd_file(f,np,nt,ext)
%  J.C. Passieux (2010)
if nargin<3
	nt=1;
end
if nargin<4
	 ext='vtu';
end

namefile=strcat('tmp/', f, '.pvd');
fmesh = fopen(namefile,'w');
fprintf(fmesh,'<?xml version="1" ?>\n');

fprintf(fmesh,'<VTKFile type="Collection" version="0.1" byte_order="LittleEndian">\n');
fprintf(fmesh,'<Collection>\n');

for i=1:np
	for j=1:nt
		fprintf(fmesh,'<DataSet timestep="%u" group="" part="%u" ',j,i);
		fprintf(fmesh,'file="%s_%u_%u.',f,i,j);
        fprintf(fmesh,ext);
        fprintf(fmesh,'"/>\n');
	end
end

fprintf(fmesh,'</Collection>\n');
fprintf(fmesh,'</VTKFile>\n');

fclose(fmesh);
