function init_data;
%  J.C. Passieux (2010)

global DATA

%Lame's coefficients
DATA.mu=DATA.E/(2*(1+DATA.nu));
DATA.lambda=DATA.nu*DATA.E/((1+DATA.nu)*(1-2*DATA.nu));

% CALC HOOKE MATRIX
update_hooke();

% OUTPUT PARAMS
if ~isfield(DATA,'plot_mesh')
	DATA.plot_mesh=0;
end
if ~isfield(DATA,'plot_sol')
	DATA.plot_sol=1;
end
if ~isfield(DATA,'plot_sigeps')
	DATA.plot_sigeps=0;
end
if ~isfield(DATA,'plot_vonmises')
	DATA.plot_vonmises=0;
end



