function [m,c]=solver_std(m)
%  J.C. Passieux (2010)
tic

rep=m.repsubdof;
f=m.fbc;
f=f-m.k*m.ubc;

if isempty(m.c)==0
nc=size(m.c,1);
k=[m.k(rep,rep) m.c(:,rep)' ; m.c(:,rep) zeros(nc)];
f=[f(rep) ; m.cf];
else
k=m.k(rep,rep);
f=f(rep);
end

c=condest(k);

disp(['esb3d: Condition Number = ' num2str(c)])
sol=k\f;

if isempty(m.c)==0
	sol([size(sol,1)-nc+1:size(sol,1)])=[];
end

m.u=m.ubc;
m.u(rep)=m.u(rep)+sol;

disp(['esb3d: Resolution... ' num2str(toc,2) ' s']);
